org.jbpm.bpmn2.xml

## Class ErrorHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.ErrorHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class ErrorHandler
      extends org.drools.core.xml.BaseAbstractHandler
      implements org.drools.core.xml.Handler

- - ### Field Summary

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `Class<?>` | `generateNodeFor()`
    `Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### ErrorHandler

          public ErrorHandler()

  - ### Method Detail

    - #### start

          public Object start(String uri,
                              String localName,
                              Attributes attrs,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

      Specified by:
        `start` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### end

          public Object end(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.